#include "FtpExplorerSideBar.h"
#include "ui_FtpExplorerSideBar.h"
#include "FtpDirModel.h"

struct FtpExplorerSideBarData
{
    FtpDirModel* model;
    Ui::FtpExplorerSideBar ui;
};

FtpExplorerSideBar::FtpExplorerSideBar(QWidget *parent) :
    QWidget(parent)
{
    d = new FtpExplorerSideBarData;
    d->ui.setupUi(this);
    d->model = new FtpDirModel(this);
    d->ui.ftpView->setModel(d->model);
}

FtpExplorerSideBar::~FtpExplorerSideBar()
{
    delete d;
}

void FtpExplorerSideBar::setUrl(const QUrl& url)
{
    d->model->setUrl(url);
}

QUrl FtpExplorerSideBar::url() const
{
    return d->model->url();
}

void FtpExplorerSideBar::on_goButton_clicked()
{
    QUrl url(d->ui.ftpPathEdit->text());
    d->model->setUrl(url);
}
